#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		tname1	lxqt-leave
%define		tname2	lxqt-config-session
#-----------------------------------------------------------------------------
Name		:	lxqt-session
Version		:	1.3.0
Release		:	14.8.0.0%{?dist}
Summary		:	Main session for LXQt desktop suite
Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://lxqt.org/


Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	qtxdg-tools
BuildRequires	:	procps-ng-devel

Requires	:	ConsoleKit2
#-----------------------------------------------------------------------------
%description
'%{name}' is providing tools to handle LXQt sessions.

First of all there's session manager `lxqt-session`. The binary
is launched right at the beginning of LXQt sessions and in turn
responsible for launching and monitoring all other components
constituting the sessions.   

GUI "LXQt Session Settings" (binary `lxqt-config-session`) is used
to configure various settings affecting the session, e. g. which
window manager to use or which applications to start automatically.   

Binary `lxqt-leave` deals with interrupting or terminating sessions.
It comes with several options expressing the action they trigger,
e. g. `--leave`, `--hibernate`, `--shutdown` or `--reboot`

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

#setting lxqt setup
#cp -a 								\
#	%{name}-ok_addon/lxqt-rc.xml				\
#	config/openbox/
#setting lxqt Theme
cp -a 								\
	%{name}-ok_addon/lxqt.conf				\
	config

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_DATADIR=%{_datadir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)

%doc AUTHORS README.md
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_bindir}/lxqt-*
%{_bindir}/startlxqt
%{_datadir}/lxqt/lxqt.conf
%{_datadir}/lxqt/session.conf
%{_datadir}/lxqt/windowmanagers.conf
%{_datadir}/applications/lxqt-*.desktop
%{_datadir}/xsessions/lxqt.desktop
%{_datadir}/lxqt/translations/%{name}/%{name}_*.qm
%{_datadir}/lxqt/translations/%{tname1}/%{tname1}_*.qm
%{_datadir}/lxqt/translations/%{tname2}/%{tname2}_*.qm
%{_mandir}/man1/*.1.gz

#-----------------------------------------------------------------------------
%changelog
